> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Automation

> Invokes the c1.api.automations.v1.AutomationService.GetAutomation method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/automations/{id}
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/automations/{id}:
    get:
      tags:
        - Automations
      summary: Get Automation
      description: >-
        Invokes the c1.api.automations.v1.AutomationService.GetAutomation
        method.
      operationId: c1.api.automations.v1.AutomationService.GetAutomation
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.automations.v1.GetAutomationResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: GetAutomation
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Automation.GetAutomation(ctx, operations.C1APIAutomationsV1AutomationServiceGetAutomationRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetAutomationResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.automation.getAutomation({
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.automations.v1.GetAutomationResponse:
      description: The GetAutomationResponse message.
      properties:
        automation:
          $ref: '#/components/schemas/c1.api.automations.v1.Automation'
      title: Get Automation Response
      type: object
      x-speakeasy-name-override: GetAutomationResponse
    c1.api.automations.v1.Automation:
      description: >
        The Automation message.


        This message contains a oneof named disabled_reason. Only a single field
        of the following list may be set at a time:
          - circuitBreaker
      properties:
        appId:
          description: the app id this workflow_template belongs to
          readOnly: false
          type: string
        automationSteps:
          description: The automationSteps field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationStep'
          nullable: true
          readOnly: false
          type: array
        circuitBreaker:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.DisabledReasonCircuitBreaker
        context:
          $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
        createdAt:
          format: date-time
          readOnly: false
          type: string
        currentVersion:
          description: The currentVersion field.
          format: int64
          readOnly: false
          type: string
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        draftAutomationSteps:
          description: The draftAutomationSteps field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationStep'
          nullable: true
          readOnly: false
          type: array
        draftTriggers:
          description: The draftTriggers field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationTrigger'
          nullable: true
          readOnly: false
          type: array
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        id:
          description: The id field.
          readOnly: true
          type: string
        isDraft:
          description: The isDraft field.
          readOnly: false
          type: boolean
        lastExecutedAt:
          format: date-time
          readOnly: false
          type: string
        primaryTriggerType:
          description: The primaryTriggerType field.
          enum:
            - TRIGGER_TYPE_UNSPECIFIED
            - TRIGGER_TYPE_USER_PROFILE_CHANGE
            - TRIGGER_TYPE_APP_USER_CREATE
            - TRIGGER_TYPE_APP_USER_UPDATE
            - TRIGGER_TYPE_UNUSED_ACCESS
            - TRIGGER_TYPE_USER_CREATED
            - TRIGGER_TYPE_GRANT_FOUND
            - TRIGGER_TYPE_GRANT_DELETED
            - TRIGGER_TYPE_WEBHOOK
            - TRIGGER_TYPE_SCHEDULE
            - TRIGGER_TYPE_FORM
            - TRIGGER_TYPE_SCHEDULE_APP_USER
            - TRIGGER_TYPE_ACCESS_CONFLICT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        triggers:
          description: The triggers field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationTrigger'
          nullable: true
          readOnly: false
          type: array
      title: Automation
      type: object
      x-speakeasy-entity: Automation
      x-speakeasy-name-override: Automation
    c1.api.automations.v1.AutomationStep:
      description: >
        The AutomationStep message.


        This message contains a oneof named kind. Only a single field of the
        following list may be set at a time:
          - createAccessReview
          - waitForDuration
          - unenrollFromAllAccessProfiles
          - createRevokeTasks
          - createRevokeTasksV2
          - sendEmail
          - removeFromDelegation
          - runAutomation
          - updateUser
          - taskAction
          - webhook
          - connectorAction
          - connectorCreateAccount
          - grantEntitlements
          - sendSlackMessage
          - callFunction
          - accountLifecycleAction
          - generatePassword
          - evaluateExpressions
      properties:
        accountLifecycleAction:
          $ref: '#/components/schemas/c1.api.automations.v1.AccountLifecycleAction'
        callFunction:
          $ref: '#/components/schemas/c1.api.automations.v1.CallFunction'
        connectorAction:
          $ref: '#/components/schemas/c1.api.automations.v1.ConnectorAction'
        connectorCreateAccount:
          $ref: '#/components/schemas/c1.api.automations.v1.ConnectorCreateAccount'
        createAccessReview:
          $ref: '#/components/schemas/c1.api.automations.v1.CreateAccessReview'
        createRevokeTasks:
          $ref: '#/components/schemas/c1.api.automations.v1.CreateRevokeTasks'
        createRevokeTasksV2:
          $ref: '#/components/schemas/c1.api.automations.v1.CreateRevokeTasksV2'
        evaluateExpressions:
          $ref: '#/components/schemas/c1.api.automations.v1.EvaluateExpressions'
        generatePassword:
          $ref: '#/components/schemas/c1.api.automations.v1.GeneratePassword'
        grantEntitlements:
          $ref: '#/components/schemas/c1.api.automations.v1.GrantEntitlements'
        removeFromDelegation:
          $ref: '#/components/schemas/c1.api.automations.v1.RemoveFromDelegation'
        runAutomation:
          $ref: '#/components/schemas/c1.api.automations.v1.RunAutomation'
        sendEmail:
          $ref: '#/components/schemas/c1.api.automations.v1.SendEmail'
        sendSlackMessage:
          $ref: '#/components/schemas/c1.api.automations.v1.SendSlackMessage'
        skipIfTrueCel:
          description: The skipIfTrueCel field.
          readOnly: false
          type: string
        stepDisplayName:
          description: The stepDisplayName field.
          readOnly: false
          type: string
        stepName:
          description: The stepName field.
          readOnly: false
          type: string
        taskAction:
          $ref: '#/components/schemas/c1.api.automations.v1.TaskAction'
        unenrollFromAllAccessProfiles:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.UnenrollFromAllAccessProfiles
        updateUser:
          $ref: '#/components/schemas/c1.api.automations.v1.UpdateUser'
        waitForDuration:
          $ref: '#/components/schemas/c1.api.automations.v1.WaitForDuration'
        webhook:
          $ref: '#/components/schemas/c1.api.automations.v1.Webhook'
      title: Automation Step
      type: object
      x-speakeasy-name-override: AutomationStep
    c1.api.automations.v1.DisabledReasonCircuitBreaker:
      description: The DisabledReasonCircuitBreaker message.
      nullable: true
      title: Disabled Reason Circuit Breaker
      type: object
      x-speakeasy-name-override: DisabledReasonCircuitBreaker
    c1.api.automations.v1.AutomationContext:
      description: The AutomationContext message.
      properties:
        context:
          additionalProperties: true
          readOnly: false
          type: object
      title: Automation Context
      type: object
      x-speakeasy-name-override: AutomationContext
    c1.api.automations.v1.AutomationTrigger:
      description: >
        Automation Triggers


        This message contains a oneof named kind. Only a single field of the
        following list may be set at a time:
          - manual
          - userProfileChange
          - appUserCreated
          - appUserUpdated
          - usageBasedRevocation
          - userCreated
          - grantFound
          - grantDeleted
          - webhook
          - schedule
          - form
          - scheduleAppUser
          - accessConflict
      properties:
        accessConflict:
          $ref: '#/components/schemas/c1.api.automations.v1.AccessConflictTrigger'
        appUserCreated:
          $ref: '#/components/schemas/c1.api.automations.v1.AppUserCreatedTrigger'
        appUserUpdated:
          $ref: '#/components/schemas/c1.api.automations.v1.AppUserUpdatedTrigger'
        form:
          $ref: '#/components/schemas/c1.api.automations.v1.FormTrigger'
        grantDeleted:
          $ref: '#/components/schemas/c1.api.automations.v1.GrantDeletedTrigger'
        grantFound:
          $ref: '#/components/schemas/c1.api.automations.v1.GrantFoundTrigger'
        manual:
          $ref: '#/components/schemas/c1.api.automations.v1.ManualAutomationTrigger'
        schedule:
          $ref: '#/components/schemas/c1.api.automations.v1.ScheduleTrigger'
        scheduleAppUser:
          $ref: '#/components/schemas/c1.api.automations.v1.ScheduleTriggerAppUser'
        usageBasedRevocation:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.UsageBasedRevocationTrigger
        userCreated:
          $ref: '#/components/schemas/c1.api.automations.v1.UserCreatedTrigger'
        userProfileChange:
          $ref: '#/components/schemas/c1.api.automations.v1.UserProfileChangeTrigger'
        webhook:
          $ref: '#/components/schemas/c1.api.automations.v1.WebhookAutomationTrigger'
      title: Automation Trigger
      type: object
      x-speakeasy-name-override: AutomationTrigger
    c1.api.automations.v1.AccountLifecycleAction:
      description: >
        The AccountLifecycleAction message.


        This message contains a oneof named account_identifier. Only a single
        field of the following list may be set at a time:
          - accountRef
          - accountInContext
      nullable: true
      properties:
        accountInContext:
          $ref: '#/components/schemas/c1.api.automations.v1.AccountInContext'
        accountRef:
          $ref: '#/components/schemas/c1.api.automations.v1.AccountRef'
        actionName:
          description: The actionName field.
          readOnly: false
          type: string
        connectorRef:
          $ref: '#/components/schemas/c1.api.app.v1.ConnectorRef'
      title: Account Lifecycle Action
      type: object
      x-speakeasy-name-override: AccountLifecycleAction
    c1.api.automations.v1.CallFunction:
      description: The CallFunction message.
      nullable: true
      properties:
        args:
          additionalProperties:
            type: string
          description: The args field.
          readOnly: false
          type: object
        functionId:
          description: The functionId field.
          readOnly: false
          type: string
      title: Call Function
      type: object
      x-speakeasy-name-override: CallFunction
    c1.api.automations.v1.ConnectorAction:
      description: >
        The ConnectorAction message.


        This message contains a oneof named connector_identifier. Only a single
        field of the following list may be set at a time:
          - connectorRef
      nullable: true
      properties:
        actionName:
          description: The actionName field.
          readOnly: false
          type: string
        argsTemplate:
          additionalProperties: true
          readOnly: false
          type: object
        connectorRef:
          $ref: '#/components/schemas/c1.api.app.v1.ConnectorRef'
        resourceTypeId:
          description: The resourceTypeId field.
          readOnly: false
          type: string
      title: Connector Action
      type: object
      x-speakeasy-name-override: ConnectorAction
    c1.api.automations.v1.ConnectorCreateAccount:
      description: >
        The ConnectorCreateAccount message.


        This message contains a oneof named create_account_arguments. Only a
        single field of the following list may be set at a time:
          - userIdCel
          - userProperties
      nullable: true
      properties:
        connectorRef:
          $ref: '#/components/schemas/c1.api.app.v1.ConnectorRef'
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `create_account_arguments` oneof.

            See the documentation for
            `c1.api.automations.v1.ConnectorCreateAccount` for more details.
          nullable: true
          readOnly: false
          type: string
        userProperties:
          $ref: '#/components/schemas/c1.api.automations.v1.UserProperties'
      title: Connector Create Account
      type: object
      x-speakeasy-name-override: ConnectorCreateAccount
    c1.api.automations.v1.CreateAccessReview:
      description: The CreateAccessReview message.
      nullable: true
      properties:
        accessReviewTemplateCel:
          description: The accessReviewTemplateCel field.
          readOnly: false
          type: string
        accessReviewTemplateId:
          description: The accessReviewTemplateId field.
          readOnly: false
          type: string
        campaignName:
          description: >-
            Optional campaign name. If not provided, the campaign name will be
            the access review template name.
          readOnly: false
          type: string
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdsCel:
          description: The userIdsCel field.
          readOnly: false
          type: string
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          nullable: true
          readOnly: false
          type: array
      title: Create Access Review
      type: object
      x-speakeasy-name-override: CreateAccessReview
    c1.api.automations.v1.CreateRevokeTasks:
      description: The CreateRevokeTasks message.
      nullable: true
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        appEntitlementRefsCel:
          description: The appEntitlementRefsCel field.
          readOnly: false
          type: string
        excludedAppEntitlementRefs:
          description: The excludedAppEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        excludedAppEntitlementRefsCel:
          description: The excludedAppEntitlementRefsCel field.
          readOnly: false
          type: string
        revokeAll:
          description: The revokeAll field.
          readOnly: false
          type: boolean
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdCel:
          description: The userIdCel field.
          readOnly: false
          type: string
        userRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
      title: Create Revoke Tasks
      type: object
      x-speakeasy-name-override: CreateRevokeTasks
    c1.api.automations.v1.CreateRevokeTasksV2:
      description: >
        The CreateRevokeTasksV2 message.


        This message contains a oneof named user. Only a single field of the
        following list may be set at a time:
          - userIdCel
          - userRef
          - useSubjectUser


        This message contains a oneof named inclusion. Only a single field of
        the following list may be set at a time:
          - inclusionList
          - inclusionAll
          - inclusionCriteria
          - inclusionListCel


        This message contains a oneof named exclusion. Only a single field of
        the following list may be set at a time:
          - exclusionNone
          - exclusionList
          - exclusionCriteria
          - exclusionListCel
      nullable: true
      properties:
        exclusionCriteria:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.EntitlementExclusionCriteria
        exclusionList:
          $ref: '#/components/schemas/c1.api.automations.v1.EntitlementExclusionList'
        exclusionListCel:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.EntitlementExclusionListCel
        exclusionNone:
          $ref: '#/components/schemas/c1.api.automations.v1.EntitlementExclusionNone'
        inclusionAll:
          $ref: '#/components/schemas/c1.api.automations.v1.EntitlementInclusionAll'
        inclusionCriteria:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.EntitlementInclusionCriteria
        inclusionList:
          $ref: '#/components/schemas/c1.api.automations.v1.EntitlementInclusionList'
        inclusionListCel:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.EntitlementInclusionListCel
        useSubjectUser:
          description: >-
            The useSubjectUser field.

            This field is part of the `user` oneof.

            See the documentation for
            `c1.api.automations.v1.CreateRevokeTasksV2` for more details.
          nullable: true
          readOnly: false
          type: boolean
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `user` oneof.

            See the documentation for
            `c1.api.automations.v1.CreateRevokeTasksV2` for more details.
          nullable: true
          readOnly: false
          type: string
        userRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
      title: Create Revoke Tasks V 2
      type: object
      x-speakeasy-name-override: CreateRevokeTasksV2
    c1.api.automations.v1.EvaluateExpressions:
      description: The EvaluateExpressions message.
      nullable: true
      properties:
        expressions:
          description: The expressions field.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.Expression'
          nullable: true
          readOnly: false
          type: array
      title: Evaluate Expressions
      type: object
      x-speakeasy-name-override: EvaluateExpressions
    c1.api.automations.v1.GeneratePassword:
      description: The GeneratePassword message.
      nullable: true
      title: Generate Password
      type: object
      x-speakeasy-name-override: GeneratePassword
    c1.api.automations.v1.GrantEntitlements:
      description: The GrantEntitlements message.
      nullable: true
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        appEntitlementRefsCel:
          description: The appEntitlementRefsCel field.
          readOnly: false
          type: string
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdCel:
          description: The userIdCel field.
          readOnly: false
          type: string
        userRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
      title: Grant Entitlements
      type: object
      x-speakeasy-name-override: GrantEntitlements
    c1.api.automations.v1.RemoveFromDelegation:
      description: >
        RemoveFromDelegation: find all users that have the target user as their
        delegated user, and modify the delegation.


        This message contains a oneof named replacement_user. Only a single
        field of the following list may be set at a time:
          - replacementUserIdCel
          - replacementUserRef
      nullable: true
      properties:
        replacementUserIdCel:
          description: >-
            The user who will replace the target user's delegation

            This field is part of the `replacement_user` oneof.

            See the documentation for
            `c1.api.automations.v1.RemoveFromDelegation` for more details.
          nullable: true
          readOnly: false
          type: string
        replacementUserRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdCel:
          description: The userIdCel field.
          readOnly: false
          type: string
        userRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
      title: Remove From Delegation
      type: object
      x-speakeasy-name-override: RemoveFromDelegation
    c1.api.automations.v1.RunAutomation:
      description: >
        RunAutomation: kick off the execution of an automation template.


        This message contains a oneof named automation_template. Only a single
        field of the following list may be set at a time:
          - automationTemplateRef
          - automationTemplateIdCel
      nullable: true
      properties:
        automationTemplateIdCel:
          description: >-
            The automationTemplateIdCel field.

            This field is part of the `automation_template` oneof.

            See the documentation for `c1.api.automations.v1.RunAutomation` for
            more details.
          nullable: true
          readOnly: false
          type: string
        automationTemplateRef:
          $ref: '#/components/schemas/c1.api.automations.v1.AutomationTemplateRef'
        context:
          $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
      title: Run Automation
      type: object
      x-speakeasy-name-override: RunAutomation
    c1.api.automations.v1.SendEmail:
      description: The SendEmail message.
      nullable: true
      properties:
        body:
          description: The body field.
          readOnly: false
          type: string
        subject:
          description: The subject field.
          readOnly: false
          type: string
        title:
          description: The title field.
          readOnly: false
          type: string
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdsCel:
          description: The userIdsCel field.
          readOnly: false
          type: string
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          nullable: true
          readOnly: false
          type: array
      title: Send Email
      type: object
      x-speakeasy-name-override: SendEmail
    c1.api.automations.v1.SendSlackMessage:
      description: >
        The SendSlackMessage message.


        This message contains a oneof named channel. Only a single field of the
        following list may be set at a time:
          - channelName
          - channelNameCel
      nullable: true
      properties:
        body:
          description: The body field.
          readOnly: false
          type: string
        channelName:
          description: >-
            The channelName field.

            This field is part of the `channel` oneof.

            See the documentation for `c1.api.automations.v1.SendSlackMessage`
            for more details.
          nullable: true
          readOnly: false
          type: string
        channelNameCel:
          description: >-
            The channelNameCel field.

            This field is part of the `channel` oneof.

            See the documentation for `c1.api.automations.v1.SendSlackMessage`
            for more details.
          nullable: true
          readOnly: false
          type: string
      title: Send Slack Message
      type: object
      x-speakeasy-name-override: SendSlackMessage
    c1.api.automations.v1.TaskAction:
      description: >
        The TaskAction message.


        This message contains a oneof named action. Only a single field of the
        following list may be set at a time:
          - close
          - reassign
      nullable: true
      properties:
        close:
          $ref: '#/components/schemas/c1.api.automations.v1.CloseAction'
        reassign:
          $ref: '#/components/schemas/c1.api.automations.v1.ReassignAction'
        taskTypes:
          description: The taskTypes field.
          items:
            enum:
              - TASK_TYPE_UNSPECIFIED
              - TASK_TYPE_REQUEST
              - TASK_TYPE_REVOKE
              - TASK_TYPE_REVIEW
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        taskUserRelation:
          description: The taskUserRelation field.
          enum:
            - TASK_USER_RELATION_UNSPECIFIED
            - TASK_USER_RELATION_ASSIGNEE
            - TASK_USER_RELATION_SUBJECT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Task Action
      type: object
      x-speakeasy-name-override: TaskAction
    c1.api.automations.v1.UnenrollFromAllAccessProfiles:
      description: The UnenrollFromAllAccessProfiles message.
      nullable: true
      properties:
        catalogIds:
          description: >-
            Optional list of catalog IDs to unenroll from. If empty, unenroll
            from all catalogs.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        catalogIdsCel:
          description: >-
            CEL expression to dynamically select catalog IDs. If provided,
            overrides catalog_ids.
          readOnly: false
          type: string
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdsCel:
          description: The userIdsCel field.
          readOnly: false
          type: string
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          nullable: true
          readOnly: false
          type: array
      title: Unenroll From All Access Profiles
      type: object
      x-speakeasy-name-override: UnenrollFromAllAccessProfiles
    c1.api.automations.v1.UpdateUser:
      description: >
        The UpdateUser message.


        This message contains a oneof named user. Only a single field of the
        following list may be set at a time:
          - userIdCel
          - userRef


        This message contains a oneof named user_status. Only a single field of
        the following list may be set at a time:
          - userStatusEnum
          - userStatusCel
      nullable: true
      properties:
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `user` oneof.

            See the documentation for `c1.api.automations.v1.UpdateUser` for
            more details.
          nullable: true
          readOnly: false
          type: string
        userRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
        userStatusCel:
          description: >-
            The userStatusCel field.

            This field is part of the `user_status` oneof.

            See the documentation for `c1.api.automations.v1.UpdateUser` for
            more details.
          nullable: true
          readOnly: false
          type: string
        userStatusEnum:
          description: >-
            The userStatusEnum field.

            This field is part of the `user_status` oneof.

            See the documentation for `c1.api.automations.v1.UpdateUser` for
            more details.
          enum:
            - UNKNOWN
            - ENABLED
            - DISABLED
            - DELETED
          nullable: true
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Update User
      type: object
      x-speakeasy-name-override: UpdateUser
    c1.api.automations.v1.WaitForDuration:
      description: The WaitForDuration message.
      nullable: true
      properties:
        duration:
          format: duration
          readOnly: false
          type: string
      title: Wait For Duration
      type: object
      x-speakeasy-name-override: WaitForDuration
    c1.api.automations.v1.Webhook:
      description: >
        The Webhook message.


        This message contains a oneof named webhook_identifier. Only a single
        field of the following list may be set at a time:
          - webhookId
          - webhookIdCel
      nullable: true
      properties:
        payload:
          additionalProperties: true
          readOnly: false
          type: object
        webhookId:
          description: >-
            The webhookId field.

            This field is part of the `webhook_identifier` oneof.

            See the documentation for `c1.api.automations.v1.Webhook` for more
            details.
          nullable: true
          readOnly: false
          type: string
        webhookIdCel:
          description: >-
            The webhookIdCel field.

            This field is part of the `webhook_identifier` oneof.

            See the documentation for `c1.api.automations.v1.Webhook` for more
            details.
          nullable: true
          readOnly: false
          type: string
      title: Webhook
      type: object
      x-speakeasy-name-override: Webhook
    c1.api.automations.v1.AccessConflictTrigger:
      description: >
        The AccessConflictTrigger message.


        This message contains a oneof named conflict_monitor_selector. Only a
        single field of the following list may be set at a time:
          - conflictMonitorRefs
          - allConflictMonitors
      nullable: true
      properties:
        allConflictMonitors:
          description: >-
            The allConflictMonitors field.

            This field is part of the `conflict_monitor_selector` oneof.

            See the documentation for
            `c1.api.automations.v1.AccessConflictTrigger` for more details.
          nullable: true
          readOnly: false
          type: boolean
        conflictMonitorRefs:
          $ref: '#/components/schemas/c1.api.automations.v1.ConflictMonitorRefs'
      title: Access Conflict Trigger
      type: object
      x-speakeasy-name-override: AccessConflictTrigger
    c1.api.automations.v1.AppUserCreatedTrigger:
      description: >
        The AppUserCreatedTrigger message.


        This message contains a oneof named app_identifier. Only a single field
        of the following list may be set at a time:
          - appId
          - appIdCel
      nullable: true
      properties:
        appId:
          description: >-
            The appId field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserCreatedTrigger` for more details.
          nullable: true
          readOnly: false
          type: string
        appIdCel:
          description: >-
            The appIdCel field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserCreatedTrigger` for more details.
          nullable: true
          readOnly: false
          type: string
        condition:
          description: The condition field.
          readOnly: false
          type: string
      title: App User Created Trigger
      type: object
      x-speakeasy-name-override: AppUserCreatedTrigger
    c1.api.automations.v1.AppUserUpdatedTrigger:
      description: >
        The AppUserUpdatedTrigger message.


        This message contains a oneof named app_identifier. Only a single field
        of the following list may be set at a time:
          - appId
          - appIdCel
      nullable: true
      properties:
        appId:
          description: >-
            The appId field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserUpdatedTrigger` for more details.
          nullable: true
          readOnly: false
          type: string
        appIdCel:
          description: >-
            The appIdCel field.

            This field is part of the `app_identifier` oneof.

            See the documentation for
            `c1.api.automations.v1.AppUserUpdatedTrigger` for more details.
          nullable: true
          readOnly: false
          type: string
        condition:
          description: The condition field.
          readOnly: false
          type: string
      title: App User Updated Trigger
      type: object
      x-speakeasy-name-override: AppUserUpdatedTrigger
    c1.api.automations.v1.FormTrigger:
      description: The FormTrigger message.
      nullable: true
      properties:
        form:
          $ref: '#/components/schemas/c1.api.form.v1.Form'
      title: Form Trigger
      type: object
      x-speakeasy-name-override: FormTrigger
    c1.api.automations.v1.GrantDeletedTrigger:
      description: The GrantDeletedTrigger message.
      nullable: true
      properties:
        grantTriggerFilter:
          $ref: '#/components/schemas/c1.api.automations.v1.GrantTriggerFilter'
      title: Grant Deleted Trigger
      type: object
      x-speakeasy-name-override: GrantDeletedTrigger
    c1.api.automations.v1.GrantFoundTrigger:
      description: The GrantFoundTrigger message.
      nullable: true
      properties:
        grantTriggerFilter:
          $ref: '#/components/schemas/c1.api.automations.v1.GrantTriggerFilter'
      title: Grant Found Trigger
      type: object
      x-speakeasy-name-override: GrantFoundTrigger
    c1.api.automations.v1.ManualAutomationTrigger:
      description: The ManualAutomationTrigger message.
      nullable: true
      title: Manual Automation Trigger
      type: object
      x-speakeasy-name-override: ManualAutomationTrigger
    c1.api.automations.v1.ScheduleTrigger:
      description: The ScheduleTrigger message.
      nullable: true
      properties:
        advanced:
          description: The advanced field.
          readOnly: false
          type: boolean
        condition:
          description: The condition field.
          readOnly: false
          type: string
        cronSpec:
          description: The cronSpec field.
          readOnly: false
          type: string
        skipIfTrueCel:
          deprecated: true
          description: The skipIfTrueCel field.
          readOnly: false
          type: string
        start:
          format: date-time
          readOnly: false
          type: string
        timezone:
          description: The timezone field.
          readOnly: false
          type: string
      title: Schedule Trigger
      type: object
      x-speakeasy-name-override: ScheduleTrigger
    c1.api.automations.v1.ScheduleTriggerAppUser:
      description: The ScheduleTriggerAppUser message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        condition:
          description: The condition field.
          readOnly: false
          type: string
        cronSpec:
          description: The cronSpec field.
          readOnly: false
          type: string
        start:
          format: date-time
          readOnly: false
          type: string
        timezone:
          description: The timezone field.
          readOnly: false
          type: string
      title: Schedule Trigger App User
      type: object
      x-speakeasy-name-override: ScheduleTriggerAppUser
    c1.api.automations.v1.UsageBasedRevocationTrigger:
      description: >
        The UsageBasedRevocationTrigger message.


        This message contains a oneof named cold_start_schedule. Only a single
        field of the following list may be set at a time:
          - runImmediately
          - runDelayed
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        enabledAt:
          format: date-time
          readOnly: false
          type: string
        excludedGroupRefs:
          description: The excludedGroupRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        excludedUserRefs:
          description: The excludedUserRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          nullable: true
          readOnly: false
          type: array
        includeUsersWithNoActivity:
          description: The includeUsersWithNoActivity field.
          readOnly: false
          type: boolean
        runDelayed:
          $ref: '#/components/schemas/c1.api.automations.v1.RunDelayed'
        runImmediately:
          $ref: '#/components/schemas/c1.api.automations.v1.RunImmediately'
        targetedAppUserTypes:
          description: The targetedAppUserTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        targetedEntitlementRefs:
          description: The targetedEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        unusedForDays:
          description: The unusedForDays field.
          format: uint32
          readOnly: false
          type: integer
      title: Usage Based Revocation Trigger
      type: object
      x-speakeasy-name-override: UsageBasedRevocationTrigger
    c1.api.automations.v1.UserCreatedTrigger:
      description: The UserCreatedTrigger message.
      nullable: true
      properties:
        condition:
          description: The condition field.
          readOnly: false
          type: string
      title: User Created Trigger
      type: object
      x-speakeasy-name-override: UserCreatedTrigger
    c1.api.automations.v1.UserProfileChangeTrigger:
      description: The UserProfileChangeTrigger message.
      nullable: true
      properties:
        condition:
          description: The condition field.
          readOnly: false
          type: string
      title: User Profile Change Trigger
      type: object
      x-speakeasy-name-override: UserProfileChangeTrigger
    c1.api.automations.v1.WebhookAutomationTrigger:
      description: >
        The WebhookAutomationTrigger message.


        This message contains a oneof named auth_config. Only a single field of
        the following list may be set at a time:
          - jwt
          - hmac
      nullable: true
      properties:
        hmac:
          $ref: '#/components/schemas/c1.api.automations.v1.WebhookListenerAuthHMAC'
        jwt:
          $ref: '#/components/schemas/c1.api.automations.v1.WebhookListenerAuthJWT'
        listenerId:
          description: Optional existing listener ID (hidden field from frontend)
          readOnly: false
          type: string
      title: Webhook Automation Trigger
      type: object
      x-speakeasy-name-override: WebhookAutomationTrigger
    c1.api.automations.v1.AccountInContext:
      description: The AccountInContext message.
      nullable: true
      title: Account In Context
      type: object
      x-speakeasy-name-override: AccountInContext
    c1.api.automations.v1.AccountRef:
      description: The AccountRef message.
      nullable: true
      properties:
        accountIdCel:
          description: The accountIdCel field.
          readOnly: false
          type: string
      title: Account Ref
      type: object
      x-speakeasy-name-override: AccountRef
    c1.api.app.v1.ConnectorRef:
      description: The ConnectorRef message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: Connector Ref
      type: object
      x-speakeasy-name-override: ConnectorRef
    c1.api.automations.v1.UserProperties:
      description: The UserProperties message.
      nullable: true
      properties:
        displayNameCel:
          description: The displayNameCel field.
          readOnly: false
          type: string
        emailCel:
          description: The emailCel field.
          readOnly: false
          type: string
        profileAttributeCel:
          description: The profileAttributeCel field.
          readOnly: false
          type: string
        usernameCel:
          description: The usernameCel field.
          readOnly: false
          type: string
      title: User Properties
      type: object
      x-speakeasy-name-override: UserProperties
    c1.api.user.v1.UserRef:
      description: A reference to a user.
      properties:
        id:
          description: The id of the user.
          readOnly: false
          type: string
      title: User Ref
      type: object
      x-speakeasy-name-override: UserRef
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
    c1.api.automations.v1.EntitlementExclusionCriteria:
      description: The EntitlementExclusionCriteria message.
      nullable: true
      properties:
        excludedAppIds:
          description: The excludedAppIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        excludedComplianceFrameworkIds:
          description: The excludedComplianceFrameworkIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        excludedResourceTypeIds:
          description: The excludedResourceTypeIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        excludedRiskLevelIds:
          description: The excludedRiskLevelIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Entitlement Exclusion Criteria
      type: object
      x-speakeasy-name-override: EntitlementExclusionCriteria
    c1.api.automations.v1.EntitlementExclusionList:
      description: The EntitlementExclusionList message.
      nullable: true
      properties:
        excludedAppEntitlementRefs:
          description: The excludedAppEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
      title: Entitlement Exclusion List
      type: object
      x-speakeasy-name-override: EntitlementExclusionList
    c1.api.automations.v1.EntitlementExclusionListCel:
      description: The EntitlementExclusionListCel message.
      nullable: true
      properties:
        excludedAppEntitlementRefsCel:
          description: The excludedAppEntitlementRefsCel field.
          readOnly: false
          type: string
      title: Entitlement Exclusion List Cel
      type: object
      x-speakeasy-name-override: EntitlementExclusionListCel
    c1.api.automations.v1.EntitlementExclusionNone:
      description: The EntitlementExclusionNone message.
      nullable: true
      title: Entitlement Exclusion None
      type: object
      x-speakeasy-name-override: EntitlementExclusionNone
    c1.api.automations.v1.EntitlementInclusionAll:
      description: The EntitlementInclusionAll message.
      nullable: true
      title: Entitlement Inclusion All
      type: object
      x-speakeasy-name-override: EntitlementInclusionAll
    c1.api.automations.v1.EntitlementInclusionCriteria:
      description: The EntitlementInclusionCriteria message.
      nullable: true
      properties:
        appIds:
          description: The appIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        complianceFrameworkIds:
          description: The complianceFrameworkIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        resourceTypeIds:
          description: The resourceTypeIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        riskLevelIds:
          description: The riskLevelIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Entitlement Inclusion Criteria
      type: object
      x-speakeasy-name-override: EntitlementInclusionCriteria
    c1.api.automations.v1.EntitlementInclusionList:
      description: The EntitlementInclusionList message.
      nullable: true
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
      title: Entitlement Inclusion List
      type: object
      x-speakeasy-name-override: EntitlementInclusionList
    c1.api.automations.v1.EntitlementInclusionListCel:
      description: The EntitlementInclusionListCel message.
      nullable: true
      properties:
        appEntitlementRefsCel:
          description: The appEntitlementRefsCel field.
          readOnly: false
          type: string
      title: Entitlement Inclusion List Cel
      type: object
      x-speakeasy-name-override: EntitlementInclusionListCel
    c1.api.automations.v1.Expression:
      description: The Expression message.
      properties:
        expressionCel:
          description: The expressionCel field.
          readOnly: false
          type: string
        isSecret:
          description: The isSecret field.
          readOnly: false
          type: boolean
        key:
          description: The key field.
          readOnly: false
          type: string
      title: Expression
      type: object
      x-speakeasy-name-override: Expression
    c1.api.automations.v1.AutomationTemplateRef:
      description: The AutomationTemplateRef message.
      nullable: true
      properties:
        id:
          description: The id field.
          readOnly: false
          type: string
      title: Automation Template Ref
      type: object
      x-speakeasy-name-override: AutomationTemplateRef
    c1.api.automations.v1.CloseAction:
      description: >
        The CloseAction message.


        This message contains a oneof named user_identifier. Only a single field
        of the following list may be set at a time:
          - userIdCel
          - userRef
      nullable: true
      properties:
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
        userIdCel:
          description: >-
            The userIdCel field.

            This field is part of the `user_identifier` oneof.

            See the documentation for `c1.api.automations.v1.CloseAction` for
            more details.
          nullable: true
          readOnly: false
          type: string
        userRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
      title: Close Action
      type: object
      x-speakeasy-name-override: CloseAction
    c1.api.automations.v1.ReassignAction:
      description: >
        The ReassignAction message.


        This message contains a oneof named assignee_user_identifier. Only a
        single field of the following list may be set at a time:
          - assigneeUserIdCel
          - assigneeUserRef


        This message contains a oneof named subject_user_identifier. Only a
        single field of the following list may be set at a time:
          - subjectUserIdCel
          - subjectUserRef
      nullable: true
      properties:
        assigneeUserIdCel:
          description: >-
            The assigneeUserIdCel field.

            This field is part of the `assignee_user_identifier` oneof.

            See the documentation for `c1.api.automations.v1.ReassignAction` for
            more details.
          nullable: true
          readOnly: false
          type: string
        assigneeUserRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
        subjectUserIdCel:
          description: >-
            The subjectUserIdCel field.

            This field is part of the `subject_user_identifier` oneof.

            See the documentation for `c1.api.automations.v1.ReassignAction` for
            more details.
          nullable: true
          readOnly: false
          type: string
        subjectUserRef:
          $ref: '#/components/schemas/c1.api.user.v1.UserRef'
        useSubjectUser:
          description: >-
            If true, the step will use the subject user of the automation as the
            subject.
          readOnly: false
          type: boolean
      title: Reassign Action
      type: object
      x-speakeasy-name-override: ReassignAction
    c1.api.automations.v1.ConflictMonitorRefs:
      description: The ConflictMonitorRefs message.
      nullable: true
      properties:
        conflictMonitorRefs:
          description: The conflictMonitorRefs field.
          items:
            $ref: '#/components/schemas/c1.api.accessconflict.v1.ConflictMonitorRef'
          nullable: true
          readOnly: false
          type: array
      title: Conflict Monitor Refs
      type: object
      x-speakeasy-name-override: ConflictMonitorRefs
    c1.api.form.v1.Form:
      description: A form is a collection of fields to be filled out by a user
      properties:
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        fieldGroups:
          description: The fieldGroups field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.FieldGroup'
          nullable: true
          readOnly: false
          type: array
        fieldRelationships:
          description: The fieldRelationships field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.FieldRelationship'
          nullable: true
          readOnly: false
          type: array
        fields:
          description: The fields field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.Field'
          nullable: true
          readOnly: false
          type: array
        id:
          description: The id field.
          readOnly: false
          type: string
      title: Form
      type: object
      x-speakeasy-entity: Request_Schema
      x-speakeasy-name-override: Form
    c1.api.automations.v1.GrantTriggerFilter:
      description: >
        The GrantTriggerFilter message.


        This message contains a oneof named entitlement_inclusion. Only a single
        field of the following list may be set at a time:
          - inclusionList
          - inclusionAll
          - inclusionCriteria
          - inclusionListCel
      properties:
        accountFilter:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.GrantTriggerFilter.AccountFilter
        entitlementFilter:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.GrantTriggerFilter.EntitlementFilter
        grantFilter:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.GrantTriggerFilter.GrantFilter
        inclusionAll:
          $ref: '#/components/schemas/c1.api.automations.v1.EntitlementInclusionAll'
        inclusionCriteria:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.EntitlementInclusionCriteria
        inclusionList:
          $ref: '#/components/schemas/c1.api.automations.v1.EntitlementInclusionList'
        inclusionListCel:
          $ref: >-
            #/components/schemas/c1.api.automations.v1.EntitlementInclusionListCel
      title: Grant Trigger Filter
      type: object
      x-speakeasy-name-override: GrantTriggerFilter
    c1.api.automations.v1.RunDelayed:
      description: The RunDelayed message.
      nullable: true
      properties:
        coldStartDelayDays:
          description: The coldStartDelayDays field.
          format: uint32
          readOnly: false
          type: integer
      required:
        - coldStartDelayDays
      title: Run Delayed
      type: object
      x-speakeasy-name-override: RunDelayed
    c1.api.automations.v1.RunImmediately:
      description: No fields needed; this just indicates the trigger should run immediately
      nullable: true
      title: Run Immediately
      type: object
      x-speakeasy-name-override: RunImmediately
    c1.api.automations.v1.WebhookListenerAuthHMAC:
      description: The WebhookListenerAuthHMAC message.
      nullable: true
      title: Webhook Listener Auth Hmac
      type: object
      x-speakeasy-name-override: WebhookListenerAuthHMAC
    c1.api.automations.v1.WebhookListenerAuthJWT:
      description: The WebhookListenerAuthJWT message.
      nullable: true
      properties:
        jwksUrl:
          description: The jwksUrl field.
          readOnly: false
          type: string
      title: Webhook Listener Auth Jwt
      type: object
      x-speakeasy-name-override: WebhookListenerAuthJWT
    c1.api.accessconflict.v1.ConflictMonitorRef:
      description: The ConflictMonitorRef message.
      properties:
        id:
          description: The id field.
          readOnly: false
          type: string
      title: Conflict Monitor Ref
      type: object
      x-speakeasy-name-override: ConflictMonitorRef
    c1.api.form.v1.FieldGroup:
      description: The FieldGroup message.
      properties:
        default:
          description: The default field.
          readOnly: false
          type: boolean
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        fields:
          description: The fields field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        helpText:
          description: The helpText field.
          readOnly: false
          type: string
        name:
          description: The name field.
          readOnly: false
          type: string
      title: Field Group
      type: object
      x-speakeasy-name-override: FieldGroup
    c1.api.form.v1.FieldRelationship:
      description: >
        FieldRelationships can be used during form validation, or they can
        represent
         information that is necessary to when it comes to visually rendering the form

        This message contains a oneof named kind. Only a single field of the
        following list may be set at a time:
          - requiredTogether
          - atLeastOne
          - mutuallyExclusive
      properties:
        atLeastOne:
          $ref: '#/components/schemas/c1.api.form.v1.AtLeastOne'
        fieldNames:
          description: The names of the fields that share this relationship
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        mutuallyExclusive:
          $ref: '#/components/schemas/c1.api.form.v1.MutuallyExclusive'
        requiredTogether:
          $ref: '#/components/schemas/c1.api.form.v1.RequiredTogether'
      title: Field Relationship
      type: object
      x-speakeasy-name-override: FieldRelationship
    c1.api.form.v1.Field:
      description: >
        A field is a single input meant to collect a piece of data from a user


        This message contains a oneof named type. Only a single field of the
        following list may be set at a time:
          - stringField
          - boolField
          - stringSliceField
          - int64Field
          - fileField
          - oauth2Field


        This message contains a oneof named provider_config. Only a single field
        of the following list may be set at a time:
          - userConfig
          - adminConfig
          - sharedConfig
      properties:
        adminConfig:
          $ref: '#/components/schemas/c1.api.form.v1.AdminProviderConfig'
        boolField:
          $ref: '#/components/schemas/c1.api.form.v1.BoolField'
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        fileField:
          $ref: '#/components/schemas/c1.api.form.v1.FileField'
        int64Field:
          $ref: '#/components/schemas/c1.api.form.v1.Int64Field'
        name:
          description: The name field.
          readOnly: false
          type: string
        oauth2Field:
          $ref: '#/components/schemas/c1.api.form.v1.Oauth2Field'
        sharedConfig:
          $ref: '#/components/schemas/c1.api.form.v1.SharedProviderConfig'
        stringField:
          $ref: '#/components/schemas/c1.api.form.v1.StringField'
        stringSliceField:
          $ref: '#/components/schemas/c1.api.form.v1.StringSliceField'
        userConfig:
          $ref: '#/components/schemas/c1.api.form.v1.UserProviderConfig'
      title: Field
      type: object
      x-speakeasy-name-override: Field
    c1.api.automations.v1.GrantTriggerFilter.AccountFilter:
      description: The AccountFilter message.
      properties:
        accountType:
          description: The accountType field.
          enum:
            - APP_USER_TYPE_UNSPECIFIED
            - APP_USER_TYPE_USER
            - APP_USER_TYPE_SERVICE_ACCOUNT
            - APP_USER_TYPE_SYSTEM_ACCOUNT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Account Filter
      type: object
      x-speakeasy-name-override: AccountFilter
    c1.api.automations.v1.GrantTriggerFilter.EntitlementFilter:
      description: The EntitlementFilter message.
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        appEntitlementRefsCel:
          description: The appEntitlementRefsCel field.
          readOnly: false
          type: string
        appId:
          description: The appId field.
          readOnly: false
          type: string
      title: Entitlement Filter
      type: object
      x-speakeasy-name-override: EntitlementFilter
    c1.api.automations.v1.GrantTriggerFilter.GrantFilter:
      description: The GrantFilter message.
      properties:
        grantFilterType:
          description: The grantFilterType field.
          enum:
            - GRANT_FILTER_TYPE_UNSPECIFIED
            - GRANT_FILTER_TYPE_PERMANENT
            - GRANT_FILTER_TYPE_TEMPORARY
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        grantJustificationType:
          description: The grantJustificationType field.
          enum:
            - GRANT_JUSTIFICATION_TYPE_UNSPECIFIED
            - GRANT_JUSTIFICATION_TYPE_ALL
            - GRANT_JUSTIFICATION_TYPE_CONDUCTOR_ONE
            - GRANT_JUSTIFICATION_TYPE_DIRECT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        grantSourceFilter:
          description: The grantSourceFilter field.
          enum:
            - GRANT_SOURCE_FILTER_UNSPECIFIED
            - GRANT_SOURCE_FILTER_DIRECT
            - GRANT_SOURCE_FILTER_INHERITED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Grant Filter
      type: object
      x-speakeasy-name-override: GrantFilter
    c1.api.form.v1.AtLeastOne:
      description: The AtLeastOne message.
      nullable: true
      title: At Least One
      type: object
      x-speakeasy-name-override: AtLeastOne
    c1.api.form.v1.MutuallyExclusive:
      description: The MutuallyExclusive message.
      nullable: true
      title: Mutually Exclusive
      type: object
      x-speakeasy-name-override: MutuallyExclusive
    c1.api.form.v1.RequiredTogether:
      description: The RequiredTogether message.
      nullable: true
      title: Required Together
      type: object
      x-speakeasy-name-override: RequiredTogether
    c1.api.form.v1.AdminProviderConfig:
      description: The AdminProviderConfig message.
      nullable: true
      properties:
        defaultValueCel:
          description: The defaultValueCel field.
          readOnly: false
          type: string
        showToUser:
          description: The showToUser field.
          readOnly: false
          type: boolean
      title: Admin Provider Config
      type: object
      x-speakeasy-name-override: AdminProviderConfig
    c1.api.form.v1.BoolField:
      description: >
        The BoolField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - checkboxField
          - toggleField


        This message contains a oneof named _rules. Only a single field of the
        following list may be set at a time:
          - rules
      nullable: true
      properties:
        checkboxField:
          $ref: '#/components/schemas/c1.api.form.v1.CheckboxField'
        defaultValue:
          description: The defaultValue field.
          readOnly: false
          type: boolean
        rules:
          $ref: '#/components/schemas/validate.BoolRules'
        toggleField:
          $ref: '#/components/schemas/c1.api.form.v1.ToggleField'
      title: Bool Field
      type: object
      x-speakeasy-name-override: BoolField
    c1.api.form.v1.FileField:
      description: >
        The FileField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - fileInputField


        This message contains a oneof named _max_file_size. Only a single field
        of the following list may be set at a time:
          - maxFileSize
      nullable: true
      properties:
        acceptedFileTypes:
          description: The acceptedFileTypes field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        fileInputField:
          $ref: '#/components/schemas/c1.api.form.v1.FileInputField'
        maxFileSize:
          description: >-
            The maxFileSize field.

            This field is part of the `_max_file_size` oneof.

            See the documentation for `c1.api.form.v1.FileField` for more
            details.
          format: int64
          nullable: true
          readOnly: false
          type: string
      title: File Field
      type: object
      x-speakeasy-name-override: FileField
    c1.api.form.v1.Int64Field:
      description: >
        The Int64Field message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - numberField


        This message contains a oneof named _default_value. Only a single field
        of the following list may be set at a time:
          - defaultValue


        This message contains a oneof named _rules. Only a single field of the
        following list may be set at a time:
          - rules
      nullable: true
      properties:
        defaultValue:
          description: >-
            The defaultValue field.

            This field is part of the `_default_value` oneof.

            See the documentation for `c1.api.form.v1.Int64Field` for more
            details.
          format: int64
          nullable: true
          readOnly: false
          type: string
        numberField:
          $ref: '#/components/schemas/c1.api.form.v1.NumberField'
        placeholder:
          description: The placeholder field.
          readOnly: false
          type: string
        rules:
          $ref: '#/components/schemas/validate.Int64Rules'
      title: Int 64 Field
      type: object
      x-speakeasy-name-override: Int64Field
    c1.api.form.v1.Oauth2Field:
      description: >
        The Oauth2Field message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - oauth2FieldView
      nullable: true
      properties:
        oauth2FieldView:
          $ref: '#/components/schemas/c1.api.form.v1.Oauth2FieldView'
      title: Oauth 2 Field
      type: object
      x-speakeasy-name-override: Oauth2Field
    c1.api.form.v1.SharedProviderConfig:
      description: The SharedProviderConfig message.
      nullable: true
      properties:
        defaultValueCel:
          description: The defaultValueCel field.
          readOnly: false
          type: string
        inputTransformationCel:
          description: The inputTransformationCel field.
          readOnly: false
          type: string
        lockDefaultValues:
          description: The lockDefaultValues field.
          readOnly: false
          type: boolean
      title: Shared Provider Config
      type: object
      x-speakeasy-name-override: SharedProviderConfig
    c1.api.form.v1.StringField:
      description: >
        The StringField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - textField
          - passwordField
          - selectField
          - pickerField


        This message contains a oneof named _rules. Only a single field of the
        following list may be set at a time:
          - rules
      nullable: true
      properties:
        defaultValue:
          description: The defaultValue field.
          readOnly: false
          type: string
        passwordField:
          $ref: '#/components/schemas/c1.api.form.v1.PasswordField'
        pickerField:
          $ref: '#/components/schemas/c1.api.form.v1.PickerField'
        placeholder:
          description: The placeholder field.
          readOnly: false
          type: string
        rules:
          $ref: '#/components/schemas/validate.StringRules'
        selectField:
          $ref: '#/components/schemas/c1.api.form.v1.SelectField'
        textField:
          $ref: '#/components/schemas/c1.api.form.v1.TextField'
      title: String Field
      type: object
      x-speakeasy-name-override: StringField
    c1.api.form.v1.StringSliceField:
      description: >
        The StringSliceField message.


        This message contains a oneof named view. Only a single field of the
        following list may be set at a time:
          - chipsField
          - pickerField


        This message contains a oneof named _rules. Only a single field of the
        following list may be set at a time:
          - rules
      nullable: true
      properties:
        chipsField:
          $ref: '#/components/schemas/c1.api.form.v1.ChipsField'
        defaultValues:
          description: The defaultValues field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        pickerField:
          $ref: '#/components/schemas/c1.api.form.v1.PickerField'
        placeholder:
          description: The placeholder field.
          readOnly: false
          type: string
        rules:
          $ref: '#/components/schemas/validate.RepeatedRules'
      title: String Slice Field
      type: object
      x-speakeasy-name-override: StringSliceField
    c1.api.form.v1.UserProviderConfig:
      description: The UserProviderConfig message.
      nullable: true
      properties:
        inputTransformationCel:
          description: The inputTransformationCel field.
          readOnly: false
          type: string
      title: User Provider Config
      type: object
      x-speakeasy-name-override: UserProviderConfig
    c1.api.form.v1.CheckboxField:
      description: The CheckboxField message.
      nullable: true
      title: Checkbox Field
      type: object
      x-speakeasy-name-override: CheckboxField
    validate.BoolRules:
      description: BoolRules describes the constraints applied to `bool` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          readOnly: false
          type: boolean
      title: Bool Rules
      type: object
      x-speakeasy-name-override: BoolRules
    c1.api.form.v1.ToggleField:
      description: The ToggleField message.
      nullable: true
      title: Toggle Field
      type: object
      x-speakeasy-name-override: ToggleField
    c1.api.form.v1.FileInputField:
      description: The FileInputField message.
      nullable: true
      title: File Input Field
      type: object
      x-speakeasy-name-override: FileInputField
    c1.api.form.v1.NumberField:
      description: The NumberField message.
      nullable: true
      properties:
        maxValue:
          description: The maxValue field.
          format: int64
          readOnly: false
          type: string
        minValue:
          description: The minValue field.
          format: int64
          readOnly: false
          type: string
        step:
          description: The step field.
          format: int64
          readOnly: false
          type: string
      title: Number Field
      type: object
      x-speakeasy-name-override: NumberField
    validate.Int64Rules:
      description: Int64Rules describes the constraints applied to `int64` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: int64
          readOnly: false
          type: string
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          format: int64
          readOnly: false
          type: string
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          format: int64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
            Lt specifies that this field must be less than the specified value,
             exclusive
          format: int64
          readOnly: false
          type: string
        lte:
          description: |-
            Lte specifies that this field must be less than or equal to the
             specified value, inclusive
          format: int64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: int64
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Int 64 Rules
      type: object
      x-speakeasy-name-override: Int64Rules
    c1.api.form.v1.Oauth2FieldView:
      description: The Oauth2FieldView message.
      nullable: true
      title: Oauth 2 Field View
      type: object
      x-speakeasy-name-override: Oauth2FieldView
    c1.api.form.v1.PasswordField:
      description: The PasswordField message.
      nullable: true
      title: Password Field
      type: object
      x-speakeasy-name-override: PasswordField
    c1.api.form.v1.PickerField:
      description: >
        The PickerField message.


        This message contains a oneof named type. Only a single field of the
        following list may be set at a time:
          - appUserPicker
          - resourcePicker
      nullable: true
      properties:
        appUserPicker:
          $ref: '#/components/schemas/c1.api.form.v1.AppUserFilter'
        resourcePicker:
          $ref: '#/components/schemas/c1.api.form.v1.AppResourceFilter'
      title: Picker Field
      type: object
      x-speakeasy-name-override: PickerField
    validate.StringRules:
      description: >
        StringRules describe the constraints applied to `string` values


        This message contains a oneof named well_known. Only a single field of
        the following list may be set at a time:
          - email
          - hostname
          - ip
          - ipv4
          - ipv6
          - uri
          - uriRef
          - address
          - uuid
          - wellKnownRegex
      nullable: true
      properties:
        address:
          description: |-
            Address specifies that the field must be either a valid hostname as
             defined by RFC 1034 (which does not support internationalized domain
             names or IDNs), or it can be a valid IP (v4 or v6).
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        const:
          description: Const specifies that this field must be exactly the specified value
          readOnly: false
          type: string
        contains:
          description: |-
            Contains specifies that this field must have the specified substring
             anywhere in the string.
          readOnly: false
          type: string
        email:
          description: |-
            Email specifies that the field must be a valid email address as
             defined by RFC 5322
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        hostname:
          description: |-
            Hostname specifies that the field must be a valid hostname as
             defined by RFC 1034. This constraint does not support
             internationalized domain names (IDNs).
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        ip:
          description: |-
            Ip specifies that the field must be a valid IP (v4 or v6) address.
             Valid IPv6 addresses should not include surrounding square brackets.
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv4:
          description: |-
            Ipv4 specifies that the field must be a valid IPv4 address.
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv6:
          description: |-
            Ipv6 specifies that the field must be a valid IPv6 address. Valid
             IPv6 addresses should not include surrounding square brackets.
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        len:
          description: |-
            Len specifies that this field must be the specified number of
             characters (Unicode code points). Note that the number of
             characters may differ from the number of bytes in the string.
          format: uint64
          readOnly: false
          type: string
        lenBytes:
          description: >-
            LenBytes specifies that this field must be the specified number of
            bytes
             at a minimum
          format: uint64
          readOnly: false
          type: string
        maxBytes:
          description: >-
            MaxBytes specifies that this field must be the specified number of
            bytes
             at a maximum
          format: uint64
          readOnly: false
          type: string
        maxLen:
          description: |-
            MaxLen specifies that this field must be the specified number of
             characters (Unicode code points) at a maximum. Note that the number of
             characters may differ from the number of bytes in the string.
          format: uint64
          readOnly: false
          type: string
        minBytes:
          description: >-
            MinBytes specifies that this field must be the specified number of
            bytes
             at a minimum
          format: uint64
          readOnly: false
          type: string
        minLen:
          description: |-
            MinLen specifies that this field must be the specified number of
             characters (Unicode code points) at a minimum. Note that the number of
             characters may differ from the number of bytes in the string.
          format: uint64
          readOnly: false
          type: string
        notContains:
          description: >-
            NotContains specifies that this field cannot have the specified
            substring
             anywhere in the string.
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        pattern:
          description: |-
            Pattern specifes that this field must match against the specified
             regular expression (RE2 syntax). The included expression should elide
             any delimiters.
          readOnly: false
          type: string
        prefix:
          description: >-
            Prefix specifies that this field must have the specified substring
            at
             the beginning of the string.
          readOnly: false
          type: string
        strict:
          description: >-
            This applies to regexes HTTP_HEADER_NAME and HTTP_HEADER_VALUE to
            enable
             strict header validation.
             By default, this is true, and HTTP header validations are RFC-compliant.
             Setting to false will enable a looser validations that only disallows
             \r\n\0 characters, which can be used to bypass header matching rules.
          readOnly: false
          type: boolean
        suffix:
          description: >-
            Suffix specifies that this field must have the specified substring
            at
             the end of the string.
          readOnly: false
          type: string
        uri:
          description: >-
            Uri specifies that the field must be a valid, absolute URI as
            defined
             by RFC 3986
            This field is part of the `well_known` oneof.

            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        uriRef:
          description: >-
            UriRef specifies that the field must be a valid URI as defined by
            RFC
             3986 and may be relative or absolute.
            This field is part of the `well_known` oneof.

            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        uuid:
          description: |-
            Uuid specifies that the field must be a valid UUID as defined by
             RFC 4122
            This field is part of the `well_known` oneof.
            See the documentation for `validate.StringRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        wellKnownRegex:
          description: >-
            WellKnownRegex specifies a common well known pattern defined as a
            regex.

            This field is part of the `well_known` oneof.

            See the documentation for `validate.StringRules` for more details.
          enum:
            - UNKNOWN
            - HTTP_HEADER_NAME
            - HTTP_HEADER_VALUE
          nullable: true
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: String Rules
      type: object
      x-speakeasy-name-override: StringRules
    c1.api.form.v1.SelectField:
      description: The SelectField message.
      nullable: true
      properties:
        options:
          description: The options field.
          items:
            $ref: '#/components/schemas/c1.api.form.v1.SelectOption'
          nullable: true
          readOnly: false
          type: array
        type:
          description: The type field.
          enum:
            - SELECT_TYPE_UNSPECIFIED
            - SELECT_TYPE_DROPDOWN
            - SELECT_TYPE_RADIO
            - SELECT_TYPE_BUTTONS
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Select Field
      type: object
      x-speakeasy-name-override: SelectField
    c1.api.form.v1.TextField:
      description: The TextField message.
      nullable: true
      properties:
        multiline:
          description: The multiline field.
          readOnly: false
          type: boolean
      title: Text Field
      type: object
      x-speakeasy-name-override: TextField
    c1.api.form.v1.ChipsField:
      description: The ChipsField message.
      nullable: true
      title: Chips Field
      type: object
      x-speakeasy-name-override: ChipsField
    validate.RepeatedRules:
      description: RepeatedRules describe the constraints applied to `repeated` values
      nullable: true
      properties:
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        items:
          $ref: '#/components/schemas/validate.FieldRules'
        maxItems:
          description: |-
            MaxItems specifies that this field must have the specified number of
             items at a maximum
          format: uint64
          readOnly: false
          type: string
        minItems:
          description: |-
            MinItems specifies that this field must have the specified number of
             items at a minimum
          format: uint64
          readOnly: false
          type: string
        unique:
          description: >-
            Unique specifies that all elements in this field must be unique.
            This
             contraint is only applicable to scalar and enum types (messages are not
             supported).
          readOnly: false
          type: boolean
      title: Repeated Rules
      type: object
      x-speakeasy-name-override: RepeatedRules
    c1.api.form.v1.AppUserFilter:
      description: The AppUserFilter message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
      title: App User Filter
      type: object
      x-speakeasy-name-override: AppUserFilter
    c1.api.form.v1.AppResourceFilter:
      description: The AppResourceFilter message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        resourceTypeId:
          description: The resourceTypeId field.
          readOnly: false
          type: string
      title: App Resource Filter
      type: object
      x-speakeasy-name-override: AppResourceFilter
    c1.api.form.v1.SelectOption:
      description: The SelectOption message.
      properties:
        description:
          description: Used for type BUTTONS
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        value:
          description: The value field.
          readOnly: false
          type: string
      title: Select Option
      type: object
      x-speakeasy-name-override: SelectOption
    validate.FieldRules:
      description: >
        FieldRules encapsulates the rules for each type of field. Depending on
        the
         field, the correct set should be used to ensure proper validations.

        This message contains a oneof named type. Only a single field of the
        following list may be set at a time:
          - float
          - double
          - int32
          - int64
          - uint32
          - uint64
          - sint32
          - sint64
          - fixed32
          - fixed64
          - sfixed32
          - sfixed64
          - bool
          - string
          - bytes
          - enum
          - repeated
          - map
          - any
          - duration
          - timestamp
      properties:
        any:
          $ref: '#/components/schemas/validate.AnyRules'
        bool:
          $ref: '#/components/schemas/validate.BoolRules'
        bytes:
          $ref: '#/components/schemas/validate.BytesRules'
        double:
          $ref: '#/components/schemas/validate.DoubleRules'
        duration:
          $ref: '#/components/schemas/validate.DurationRules'
        enum:
          $ref: '#/components/schemas/validate.EnumRules'
        fixed32:
          $ref: '#/components/schemas/validate.Fixed32Rules'
        fixed64:
          $ref: '#/components/schemas/validate.Fixed64Rules'
        float:
          $ref: '#/components/schemas/validate.FloatRules'
        int32:
          $ref: '#/components/schemas/validate.Int32Rules'
        int64:
          $ref: '#/components/schemas/validate.Int64Rules'
        map:
          $ref: '#/components/schemas/validate.MapRules'
        message:
          $ref: '#/components/schemas/validate.MessageRules'
        repeated:
          $ref: '#/components/schemas/validate.RepeatedRules'
        sfixed32:
          $ref: '#/components/schemas/validate.SFixed32Rules'
        sfixed64:
          $ref: '#/components/schemas/validate.SFixed64Rules'
        sint32:
          $ref: '#/components/schemas/validate.SInt32Rules'
        sint64:
          $ref: '#/components/schemas/validate.SInt64Rules'
        string:
          $ref: '#/components/schemas/validate.StringRules'
        timestamp:
          $ref: '#/components/schemas/validate.TimestampRules'
        uint32:
          $ref: '#/components/schemas/validate.UInt32Rules'
        uint64:
          $ref: '#/components/schemas/validate.UInt64Rules'
      title: Field Rules
      type: object
      x-speakeasy-name-override: FieldRules
    validate.AnyRules:
      description: |-
        AnyRules describe constraints applied exclusively to the
         `google.protobuf.Any` well-known type
      nullable: true
      properties:
        in:
          description: >-
            In specifies that this field's `type_url` must be equal to one of
            the
             specified values.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        notIn:
          description: >-
            NotIn specifies that this field's `type_url` must not be equal to
            any of
             the specified values.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        required:
          description: Required specifies that this field must be set
          readOnly: false
          type: boolean
      title: Any Rules
      type: object
      x-speakeasy-name-override: AnyRules
    validate.BytesRules:
      description: >
        BytesRules describe the constraints applied to `bytes` values


        This message contains a oneof named well_known. Only a single field of
        the following list may be set at a time:
          - ip
          - ipv4
          - ipv6
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          format: base64
          readOnly: false
          type: string
        contains:
          description: |-
            Contains specifies that this field must have the specified bytes
             anywhere in the string.
          format: base64
          readOnly: false
          type: string
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            format: base64
            type: string
          nullable: true
          readOnly: false
          type: array
        ip:
          description: |-
            Ip specifies that the field must be a valid IP (v4 or v6) address in
             byte format
            This field is part of the `well_known` oneof.
            See the documentation for `validate.BytesRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv4:
          description: |-
            Ipv4 specifies that the field must be a valid IPv4 address in byte
             format
            This field is part of the `well_known` oneof.
            See the documentation for `validate.BytesRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        ipv6:
          description: |-
            Ipv6 specifies that the field must be a valid IPv6 address in byte
             format
            This field is part of the `well_known` oneof.
            See the documentation for `validate.BytesRules` for more details.
          nullable: true
          readOnly: false
          type: boolean
        len:
          description: Len specifies that this field must be the specified number of bytes
          format: uint64
          readOnly: false
          type: string
        maxLen:
          description: >-
            MaxLen specifies that this field must be the specified number of
            bytes
             at a maximum
          format: uint64
          readOnly: false
          type: string
        minLen:
          description: >-
            MinLen specifies that this field must be the specified number of
            bytes
             at a minimum
          format: uint64
          readOnly: false
          type: string
        notIn:
          description: >-
            NotIn specifies that this field cannot be equal to one of the
            specified
             values
          items:
            format: base64
            type: string
          nullable: true
          readOnly: false
          type: array
        pattern:
          description: |-
            Pattern specifes that this field must match against the specified
             regular expression (RE2 syntax). The included expression should elide
             any delimiters.
          readOnly: false
          type: string
        prefix:
          description: >-
            Prefix specifies that this field must have the specified bytes at
            the
             beginning of the string.
          format: base64
          readOnly: false
          type: string
        suffix:
          description: >-
            Suffix specifies that this field must have the specified bytes at
            the
             end of the string.
          format: base64
          readOnly: false
          type: string
      title: Bytes Rules
      type: object
      x-speakeasy-name-override: BytesRules
    validate.DoubleRules:
      description: DoubleRules describes the constraints applied to `double` values
      nullable: true
      properties:
        const:
          description: Const specifies that this field must be exactly the specified value
          readOnly: false
          type: number
        gt:
          description: >-
            Gt specifies that this field must be greater than the specified
            value,
             exclusive. If the value of Gt is larger than a specified Lt or Lte, the
             range is reversed.
          readOnly: false
          type: number
        gte:
          description: |-
            Gte specifies that this field must be greater than or equal to the
             specified value, inclusive. If the value of Gte is larger than a
             specified Lt or Lte, the range is reversed.
          readOnly: false
          type: number
        ignoreEmpty:
          description: >-
            IgnoreEmpty specifies that the validation rules of this field should
            be
             evaluated only if the field is not empty
          readOnly: false
          type: boolean
        in:
          description: |-
            In specifies that this field must be equal to one of the specified
             values
          items:
            type: number
          nullable: true
          readOnly: false
          type: array
        lt:
          description: |-
[...]
